<template>
  <img alt="Vue logo" class="cc" width="200" height="" src="../assets/LogoCC.png" />
  <div class ="container">
    <div class="qr-code-generator">
    <h2>Gerador de QR Code</h2>
    <div>
      <label for="qr-data">Insira o texto ou URL:</label>
      <input v-model="qrData" id="qr-data" type="text" />
      <button @click="generateQRCode" class="btn btn-primary d-block mx-auto">Gerar QR Code</button>
      <!-- <button @click="toggleSidebar" class="btn btn-primary d-block mx-auto">Toggle Sidebar</button> -->
    </div>
    <div v-if="qrImage">
      <h3>QR Code gerado:</h3>
      <img :src="qrImage" alt="QR Code" />
    </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      qrData: "Example",
      qrImage: null,
    };
  },
  methods: {
    generateQRCode() {
      
      const apiUrl = `https://api.qrserver.com/v1/create-qr-code/?size=150x150&data=${encodeURIComponent(this.qrData)}`;

      // Define o valor do atributo src da imagem com a URL da API
      this.qrImage = apiUrl;
    },
  },
};
</script>

<style>
.cc {
  
  margin-top: 2.5rem;
}
.container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-top: 4.75rem;
}

.qr-code-generator {
  max-width: 400px;
  margin: 10;
  margin-top: 10;
  text-align: center;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

input {
  width: 100%;
  padding: 8px;
  margin-bottom: 10px;
}

button {
  background-color: #32114d;
  color: white;
  padding: 8px 15px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  
}
button:hover {
  background-color: #63309c;
}

img {
  margin-top: 10px;
  max-width: 100%;
}
</style>
